import { Component, ViewChild, AfterViewInit,ElementRef } from '@angular/core';
import { AlertController } from '@ionic/angular';
import Swiper from 'swiper';

@Component({
  selector: 'app-plan',
  templateUrl: 'plan.page.html',
  styleUrls: ['plan.page.scss']
})
export class PlanPage implements AfterViewInit {
  @ViewChild('.swiper-container', { read: ElementRef })
  swiperContainer!: ElementRef;
  ngAfterViewInit() {
    setTimeout(() => {
    new Swiper(this.swiperContainer.nativeElement, {
      navigation: {
        nextEl: '.swiper-button-next',
        prevEl: '.swiper-button-prev',
      },
    });
  },0)
  }
  constructor(public alertController: AlertController) {}
  async addPlan() {
    const alert = await this.alertController.create({
      header: '添加计划',
      message: '您点击了添加计划按钮',
      buttons: ['OK']
    });

    await alert.present();
}
}
